## Nautilus.PropertiesItem

Nautilus.PropertiesItem — Nautilus.PropertiesItem Reference

## Synopsis

     Nautilus.PropertiesItem extends, gobject.GObject {
      Nautilus.PropertiesItem(name,
                              value);
      get_name();
      get_value();
    }

## Ancestry

    +-- gobject.GObject
        +-- Nautilus.PropertiesItem

## Description

`Nautilus.PropertiesItem` is an object that describes a name & value pair in file properties. Extensions can provide `Nautilus.PropertiesItem` objects grouped in `Nautilus.PropertiesModel`.

## Properties

> "name" | The user-visible name for the properties item | Read-Write-ConstructOnly
> "value" | The user-visible value for the properties item | Read-Write-ConstructOnly

## Constructor

    Nautilus.PropertiesItem(name,
                            value);

`name` : | the user-visible name for the properties item
`value` : | the user-visible value for the properties item

Creates a new `Nautilus.PropertiesItem` object.

## Public Methods

### Nautilus.Menu.get_name

    get_name();

Returns the name of this `Nautilus.PropertiesItem`.

### Nautilus.Menu.get_value

    get_value();

Returns the value of this `Nautilus.PropertiesItem`.